weka.core.pmml.jaxbbindings

## Class NeuralLayer

- java.lang.Object
- - weka.core.pmml.jaxbbindings.NeuralLayer

-     public class NeuralLayer
      extends java.lang.Object

  Java class for NeuralLayer element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="NeuralLayer">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Neuron" maxOccurs="unbounded"/>
               </sequence>
               <attribute name="activationFunction" type="{http://www.dmg.org/PMML-4_1}ACTIVATION-FUNCTION" />
               <attribute name="altitude" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="normalizationMethod" type="{http://www.dmg.org/PMML-4_1}NN-NORMALIZATION-METHOD" />
               <attribute name="numberOfNeurons" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
               <attribute name="threshold" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="width" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeuralLayer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ACTIVATIONFUNCTION` | `getActivationFunction()` Gets the value of the activationFunction property.
    `java.lang.Double` | `getAltitude()` Gets the value of the altitude property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.util.List<Neuron>` | `getNeuron()` Gets the value of the neuron property.
    `NNNORMALIZATIONMETHOD` | `getNormalizationMethod()` Gets the value of the normalizationMethod property.
    `java.math.BigInteger` | `getNumberOfNeurons()` Gets the value of the numberOfNeurons property.
    `java.lang.Double` | `getThreshold()` Gets the value of the threshold property.
    `java.lang.Double` | `getWidth()` Gets the value of the width property.
    `void` | `setActivationFunction(ACTIVATIONFUNCTION value)` Sets the value of the activationFunction property.
    `void` | `setAltitude(java.lang.Double value)` Sets the value of the altitude property.
    `void` | `setNormalizationMethod(NNNORMALIZATIONMETHOD value)` Sets the value of the normalizationMethod property.
    `void` | `setNumberOfNeurons(java.math.BigInteger value)` Sets the value of the numberOfNeurons property.
    `void` | `setThreshold(java.lang.Double value)` Sets the value of the threshold property.
    `void` | `setWidth(java.lang.Double value)` Sets the value of the width property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeuralLayer

          public NeuralLayer()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getNeuron

          public java.util.List<Neuron> getNeuron()

      Gets the value of the neuron property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the neuron property.

      For example, to add a new item, do as follows:

              getNeuron().add(newItem);

      Objects of the following type(s) are allowed in the list `Neuron`

    - #### getActivationFunction

          public ACTIVATIONFUNCTION getActivationFunction()

      Gets the value of the activationFunction property.
      Returns:
        possible object is `ACTIVATIONFUNCTION`

    - #### setActivationFunction

          public void setActivationFunction(ACTIVATIONFUNCTION value)

      Sets the value of the activationFunction property.
      Parameters:
        `value` - allowed object is `ACTIVATIONFUNCTION`

    - #### getAltitude

          public java.lang.Double getAltitude()

      Gets the value of the altitude property.
      Returns:
        possible object is `Double`

    - #### setAltitude

          public void setAltitude(java.lang.Double value)

      Sets the value of the altitude property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getNormalizationMethod

          public NNNORMALIZATIONMETHOD getNormalizationMethod()

      Gets the value of the normalizationMethod property.
      Returns:
        possible object is `NNNORMALIZATIONMETHOD`

    - #### setNormalizationMethod

          public void setNormalizationMethod(NNNORMALIZATIONMETHOD value)

      Sets the value of the normalizationMethod property.
      Parameters:
        `value` - allowed object is `NNNORMALIZATIONMETHOD`

    - #### getNumberOfNeurons

          public java.math.BigInteger getNumberOfNeurons()

      Gets the value of the numberOfNeurons property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfNeurons

          public void setNumberOfNeurons(java.math.BigInteger value)

      Sets the value of the numberOfNeurons property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getThreshold

          public java.lang.Double getThreshold()

      Gets the value of the threshold property.
      Returns:
        possible object is `Double`

    - #### setThreshold

          public void setThreshold(java.lang.Double value)

      Sets the value of the threshold property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getWidth

          public java.lang.Double getWidth()

      Gets the value of the width property.
      Returns:
        possible object is `Double`

    - #### setWidth

          public void setWidth(java.lang.Double value)

      Sets the value of the width property.
      Parameters:
        `value` - allowed object is `Double`